<template>
  <el-dropdown
    v-if="!isSuspended"
    trigger="hover"
    class="box-item"
    effect="customized"
    popper-class="bmd1-dropdown"
  >
    <div class="h-full">
      <div class="user-balance">
        <div>{{ currency.toUpperCase() }}</div>
        <div class="flex gap-1 font-bold text-[16px]">
          <span v-if="!isSuspended">{{ balanceUser }}</span>
          <button
            v-if="!isSuspended"
            class="block text-[16px] font-bold text-[var(--title2)] ml-2"
            @click="getBalance"
          >
            <icons :is-refresh="true" />
          </button>
        </div>
      </div>
    </div>
    <template v-if="wallets.length !== 0" #dropdown>
      <div class="flex flex-col px-3 py-1 leading-7 text-[var(--text2)]">
        <div class="flex justify-between border-b-2 pointerr-cursor">
          <div>
            {{ $t("wallet") }}
          </div>
          <div>
            {{ $t("amount") }}
          </div>
        </div>
        <div v-for="wallet in allWallets" :key="wallet.WalletName">
          <div class="flex justify-between">
            <div>
              {{ wallet.getWalletNameForDisplay() }}
            </div>
            <div class="ml-5">
              {{ wallet.getBetCreditForDisplay() }}
            </div>
          </div>
        </div>
      </div>
    </template>
  </el-dropdown>
  <div v-else class="flex items-center mx-1">
    <span class="mx-1">{{ currency }} {{ balanceUser }}</span>
  </div>
</template>
<script lang="ts" setup>
import useBalanceInfo from "@/composables/useBalanceInfo";
import { Wallet } from "~~/models/common/wallet";

defineProps({
  isSuspended: {
    type: Boolean,
    default: false,
  },
});

const { balanceUser, getBalance, currency, wallets } = useBalanceInfo();

const allWallets = computed(() => {
  return wallets.value.map((wallet) => new Wallet(wallet));
});
</script>
<style lang="scss" scope>
.el-scrollbar {
  background: var(--background2);
}
.el-dropdown__popper .el-popper.is-customized {
  padding: 6px 12px;
  color: var(--text);
  background: var(--background2);
}
.el-popper.is-pure .el-popper__arrow::before {
  --el-text-color-primary: var(--background2);
}
.el-button.el-button--primary.is-plain svg {
  fill: var(--text2);
  stroke: var(--text2);
}
.el-button.el-button--primary.is-plain:hover svg {
  fill: var(--text2);
  stroke: var(--text2);
}
.user-balance {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  cursor: pointer;
}
</style>
